Package com.isomorphic.criteria.criterion

# Class SetCriterion

java.lang.Object
com.isomorphic.criteria.criterion.SetCriterion

All Implemented Interfaces:
  `Criterion`

public class SetCriterion extends Object implements Criterion
Criterion for checking that field value matches to predefined set of values.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetCriterion(String fieldName, OperatorBase operatorId, Object[] values)`
  Construct SetCriterion using parameters:
  `SetCriterion(String fieldName, OperatorBase operatorId, Collection values)`
  Construct SetCriterion using parameters:
  `SetCriterion(String fieldName, String operatorId, Object[] values)`
  Construct SetCriterion using parameters:
  `SetCriterion(String fieldName, String operatorId, Collection values)`
  Construct SetCriterion using parameters:

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection`
  `getValues()`
  Gets collection of values.
  `void`
  `setValues(Object[] values)`
  Sets array of values to match.
  `void`
  `setValues(Collection values)`
  Sets collection of values to match.

- ## Constructor Details

  - ### SetCriterion

    public SetCriterion(String fieldName, String operatorId, Collection values)
    Construct SetCriterion using parameters:
    Parameters:
      `fieldName` - field name.
      `operatorId` - operator id.
      `values` - collection of values to match.

  - ### SetCriterion

    public SetCriterion(String fieldName, String operatorId, Object[] values)
    Construct SetCriterion using parameters:
    Parameters:
      `fieldName` - field name.
      `operatorId` - operator id.
      `values` - array of values to match.

  - ### SetCriterion

    public SetCriterion(String fieldName, OperatorBase operatorId, Collection values)
    Construct SetCriterion using parameters:
    Parameters:
      `fieldName` - field name.
      `operatorId` - operator that determines checking logic. This is likely to be a member of the `DefaultOperators` class, such as IContains or GreaterThan.
      `values` - collection of values to match.

  - ### SetCriterion

    public SetCriterion(String fieldName, OperatorBase operatorId, Object[] values)
    Construct SetCriterion using parameters:
    Parameters:
      `fieldName` - field name.
      `operatorId` - operator that determines checking logic. This is likely to be a member of the `DefaultOperators` class, such as IContains or GreaterThan.
      `values` - array of values to match.

- ## Method Details

  - ### setValues

    public void setValues(Collection values)
    Sets collection of values to match.
    Parameters:
      `values` - collection of values.

  - ### setValues

    public void setValues(Object[] values)
    Sets array of values to match.
    Parameters:
      `values` - array of values.

  - ### getValues

    public Collection getValues()
    Gets collection of values.
    Returns:
      collection of values.